Bug 559701 - gnome-screensaver-command --poke no longer inhibits screensaver
gnome-screensaver-command --poke no longer inhibits screensaver
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-01-28 14:16 EST by Loïc GRENON
Modified: 2015-01-14 18:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-03 18:40:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 579430 None None None Never
Launchpad 428884 None None None Never
Gentoo 288706 None None None Never

  None (edit)
Description Loïc GRENON 2010-01-28 14:16:27 EST
gnome-screensaver-command --poke no longer inhibits screensaver. I wanted to use this command with mplayer (as a heartbeat-cmd), to disable the screensaver when I watch a movie, but nothing happens.
But, when gnome-screensaver-command --poke is executed while the screensaver is active, the unlock window appear.

When I run gnome-screensaver in debug mode (gnome-screensaver --no-daemon --debug) and run gnome-screensaver-command -p, I get :
[listener_service_deleted] gs-listener-dbus.c:1042 (20:11:07):	 DBUS service deleted: 
[gs_manager_request_unlock] gs-manager.c:1789 (20:11:07):	 Request unlock but manager is not active
[listener_service_deleted] gs-listener-dbus.c:1042 (20:11:07):	 DBUS service deleted: :1.1593

This bug is already reported on Gnome Bugzilla (https://bugzilla.gnome.org/show_bug.cgi?id=579430) , for Ubuntu/Debian (https://bugs.launchpad.net/debian/+source/gnome-screensaver/+bug/428884) and Gentoo (http://bugs.gentoo.org/show_bug.cgi?id=288706).
Comment 1 Bug Zapper 2010-11-03 19:41:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 T-Gergely 2010-11-05 19:18:39 EDT
I can't change the version (someone should), but the same bug remains in Fedora 13. Worse yet, "xdotool mousemove_relative 0 0" that used to work in Fedora 12 (even if used by another user!) won't work either.
Comment 3 Bug Zapper 2010-12-03 18:40:56 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Lauri Võsandi 2011-04-21 15:03:21 EDT
This bug is still present in Fedora 14.

Note You need to log in before you can comment on or make changes to this bug.